Subject: Re: [payload] Self-describing streams?

From: "Dave Satterlee (Vocal)" <[email-masked]>
Date: Wed, 2 May 2018 14:45:14 -0400

Hi Thomas,

I find your question interesting as well.  I think at least some of the history that you
are looking for can be found here:

    https://datatracker.ietf.org/doc/draft-ietf-avt-issues/

This document certainly gives a lot of context regarding what the authors of RTP were
thinking while designing it.  It seems that much of what they were concerned with was
keeping it light, and giving the applications flexibility. This document, referenced by
the RFC1889 also helps paint the picture:

https://groups.csail.mit.edu/ana/Publications/PubPDFs/Architectural%20Considerations%20for%20a%20New%20Generation%20of%20Protocols.pdf

I too would be interested in the input/opinions of others who have some knowledge of the
history.

Regards,
Dave Satterlee
VOCAL Technologies

On 2/28/2018 2:45 PM, Thomas Edwards wrote:
>
> I have a historical/theory question.
>
>  
>
> It is clear that IETF has chosen to separate the data of RTP streams from their
> technical metadata (generally found in SDP). 
>
>  
>
> Does anyone have the ability to sum up the reason for this decision?
>
>  
>
> Thanks!
>
>  
>
> -- 
>
> Thomas Edwards
>
> FOX Networks Engineering & Operations
>
> VP Engineering & Development
>
> [email-masked]
>
> +1-310-369-6696
>
> 10201 W Pico Blvd
>
> Los Angeles, CA 90035
>
>
> <http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient>
> 	Virus-free. www.avg.com
> <http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient>
>
>
> <#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
>
>
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload